Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337349 - app-laptop/i8kutils does not respect LDFLAGS
Summary: app-laptop/i8kutils does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-14 20:11 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-07-01 11:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (i8kutils-1.25-r1:20100914-192831.log,1.11 KB, text/plain)
2010-09-14 20:12 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch to i8kutils-1.25-r1.ebuild to respect LDFLAGS (and also CFLAGS) (i8kutils.patch,779 bytes, patch)
2010-09-22 00:42 UTC, Alec Moskvin
Details | Diff
Patch to i8kutils-1.25-r1.ebuild to respect LDFLAGS (and also CFLAGS) (i8kutils.patch,779 bytes, patch)
2010-09-22 00:43 UTC, Alec Moskvin
Details | Diff
Ebuild with the above fix applied (i8kutils-1.25-r2.ebuild,1.15 KB, text/plain)
2010-09-22 00:44 UTC, Alec Moskvin
Details
Patch to respect LDFLAGS, CFLAGS and CC (i8kutils.patch,819 bytes, patch)
2010-09-22 01:32 UTC, Alec Moskvin
Details | Diff
Ebuild with the above fixes applied (i8kutils-1.25-r2.ebuild,1.19 KB, text/plain)
2010-09-22 01:33 UTC, Alec Moskvin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-14 20:11:39 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-14 20:12:04 UTC
Created attachment 247341 [details]
Build log
Comment 2 Alec Moskvin 2010-09-22 00:42:49 UTC
Created attachment 248309 [details, diff]
Patch to i8kutils-1.25-r1.ebuild to respect LDFLAGS (and also CFLAGS)

Here's a patch that to fix LDFLAGS. While at it, I also made it respect CFLAGS as well.

I've tested it, and it works.
Comment 3 Alec Moskvin 2010-09-22 00:43:34 UTC
Created attachment 248310 [details, diff]
Patch to i8kutils-1.25-r1.ebuild to respect LDFLAGS (and also CFLAGS)

Here's a patch that to fix LDFLAGS. While at it, I also made it respect CFLAGS as well.

I've tested it, and it works.
Comment 4 Alec Moskvin 2010-09-22 00:44:45 UTC
Created attachment 248312 [details]
Ebuild with the above fix applied
Comment 5 Alec Moskvin 2010-09-22 01:32:22 UTC
Created attachment 248314 [details, diff]
Patch to respect LDFLAGS, CFLAGS and CC

Here's a fix to respect the CC variable as well (bug 243602)
Comment 6 Alec Moskvin 2010-09-22 01:33:45 UTC
Created attachment 248315 [details]
Ebuild with the above fixes applied
Comment 7 Alec Moskvin 2010-09-22 01:55:22 UTC
There's also a new version of this package - see bug 240015.
Comment 8 Justin Lecher gentoo-dev 2012-07-01 11:03:18 UTC
+*i8kutils-1.33 (01 Jul 2012)
+
+  01 Jul 2012; Justin Lecher <jlec@gentoo.org> i8kutils-1.25.ebuild,
+  i8kutils-1.25-r1.ebuild, +i8kutils-1.33.ebuild:
+  Version BUmp, Correct HOMEPAGE, correct SRC_URI; respect CFLAGS, #240015;
+  respect LDFLAGS, #337349; respect CC, #243602; handle examples installation
+  through USE; move to EAPI=4
+